# **2023-262**

## AI based smart system for identifying flower disease and plant maintenance 


### *Main Objective*

To develop an agriculture-based mobile app that helps flower farmers to grow their flowers at lower cost while saving the flowers from any diseases and pest attacks and to increase the income of the flower industry by developing strategies to encourage the consumption of flowers powered by machine learning and deep learning techniques.

### *Main Research Question*

Flower cultivation is growing in popularity with the floriculture sector, which is regarded as a high-income-generating agribusiness and  could be used as a tool for socioeconomic development in Sri Lanka. The most common flowers used are roses, dahlias, calla lilies, lilies,  gerbera daisies, and tulips.  However, there are several difficulties Sri Lankan flower growers face before, during, and after the harvest  process .  
The disease that affects them is one risk. It's essential to be aware of the various diseases that can affect various flower species when growing ornamental flowers. It is necessary to closely examine the flower to identify the disease that is the root of the problem with the flower. Through specialists in this field, the identification of flower disease can be done. However, most of the time it is difficult for rural area flower growers. Additionally, the production of flowers requires a large number of resources, including land, water, and energy, and flower disorders are caused by nutrient imbalances with other unpleasant growing conditions . There needs to be a way to produce flowers in a more sustainable manner that uses fewer resources and has a smaller negative impact on the environment, but the majority  of flower growers are unaware of these facts. To reduce the amount of flower harvest that is wasted, pest and disease management is one of the key factors that must be taken into consideration. Even though some vegetables have introduced systems to manage pests and diseases, there are no better systems available for flower growers to independently detect disease.  
 
The production of flowers is significantly impacted by climate change because soil quality directly affects the growth of flower crops  and temperature variations, and unpredictable weather patterns can affect flower growth. Also, in order to improve soil quality through techniques like soil conditioners and the use of organic fertilizers, it is necessary to be aware of these things when growing  flowers, but there is currently no workable system in Sri Lanka for doing so. Demand for flowers may vary widely depending on  cultural, economic, and environmental factors . We found that growers are unaware of the current market trends in this industry. Sri Lanka earned around rupees 14.0 billion in the year 2014 by exporting floriculture products .  However, growers informed that they earn profits by selling their products locally compared than exporting cut flowers. The limited  availability of literature and lack of data are the main barriers that can identify. So, in order to develop strategies for promoting the  consumption of flowers, it is necessary to have a way to comprehend the factors that influence demand in the flower market.  
 
The main issues we identified, such as market price, plant disease identification, ignorance of agricultural practices, a lack of agricultural innovations, and environmental factors, can therefore be lessened by using this agricultural application as a solution to these issues. 

### *Individual Research Questions*

### IT20278830
The study focuses on the problem of identifying and addressing pests and diseases in floral plants to prevent financial losses for farmers and flower growers. Current methods for predicting and managing these issues are limited in accuracy and effectiveness, hindering the development of efficient prevention and management strategies. The research aims to create more precise and effective methods for anticipating the effects of diseases and pests on flower plants, ultimately improving the overall productivity and well-being of floral plant cultivation. The lack of effective identification and management tools, as well as a shortage of knowledgeable personnel in disease and pest management, further exacerbates the problem. The research seeks to develop reliable methods, including machine learning and predictive analytics, to locate and forecast the best treatments for diseases and pests. Additionally, a comprehensive database and decision-support tool will be created to assist flower producers in recognizing and controlling plant-harming diseases and pests, ultimately enhancing economic benefits for farmers and the industry as a whole.
### IT20124380
Developing accurate and efficient methods to identify soil components and determine ground preparation for flower plants:

Soil sampling: Collect representative soil samples from different field locations.
Soil analysis: Analyze samples for pH level, soil type, and moisture content.
Soil mapping: Create a soil map based on analysis results.
Crop suitability analysis: Determine suitable flower crops based on soil characteristics.
Ground preparation plan: Develop customized ground preparation plans for each crop.
Developing effective management plans for flower plants considering soil conditions and environmental factors:

Ground preparation: Tailor ground preparation techniques to the specific flower type.
Soil conservation: Implement practices like cover cropping and minimum tillage to maintain soil fertility and structure.
Fertilizer application: Determine nutrient needs and apply fertilizers accordingly.
Water management: Adjust irrigation practices based on plant water requirements and environmental conditions.
Developing post-harvest strategies considering variety, season, and environmental factors:

Crop management: Implement practices like pruning and deadheading for post-harvest care.
Cutting management: Apply specific cutting techniques to promote growth and branching.
Irrigation management: Adjust irrigation based on the specific needs of each flower plant.
Environmental management: Consider season and environmental factors for appropriate post-harvest strategies.
These research problems aim to address crucial aspects of flower plant cultivation, from pre-planting soil analysis to post-harvest care, in order to optimize flower quality and maximize yields.

### IT20014018
The flower industry is a highly profitable market where flower quality plays a crucial role in determining marketability and pricing. However, current methods for assessing flower quality are subjective, time-consuming, and expensive, limiting their use in large-scale marketing campaigns. Image processing techniques offer a promising alternative by providing fast, objective, and accurate assessments of flower quality based on digital images. This research aims to develop an image processing-based system that can identify and quantify flower quality attributes to enhance marketing strategies. The study will identify relevant quality attributes, establish a standardized procedure for preprocessing flower images, extract appropriate features using image processing techniques, develop a machine learning-based classification algorithm for quality assessment, evaluate system performance, and explore potential applications in marketing strategies. The results of this research have the potential to benefit the flower industry by offering a more efficient and effective way to assess and market flower quality, ultimately leading to increased profitability and competitiveness. By automating the freshness determination process through a computer vision application using image processing techniques, local customers and exporters will be able to enjoy and export high-quality flowers more reliably.

### IT20130602
the research focuses on developing accurate and efficient methods to identify soil components and determine ground preparation for flower plants. This involves soil sampling, analysis, mapping, and determining suitable flower crops. Additionally, effective management plans are developed considering soil conditions and environmental factors, including ground preparation, soil conservation, fertilizer application, and water management. Post-harvest strategies are also considered, such as crop and cutting management, irrigation management, and environmental factors. These research problems aim to optimize flower quality and maximize yields throughout the entire cultivation process


### *Individual Objectives*

### IT20278830 - IDENTIFYING DISEASES AND PESTS OF FLOWERS PLANT AND PREDICTING THE APPROPRIATE SOLUTIONS FOR IDENTIFIED DISEASES.

The main goal of this study is to implement a mobile application with the ability to upload images of flower plant in real time and detect clinical signs by analyzing uploaded images of a particular resolution and find the diseases which causes the disease signs and giving proper care advices and prevention methods.
However, as pointed out previously, disease signs (of leaves or pets) play a significant role in identifying the diseases at an early stage or at the any stage of the disease. Knowing them in an early stage is better to overcome the loss of flowers in a mass cultivation.



### IT20124380 - IDENTIFYING THE SOIL COMPONENT AND PREDICT THE MOST SUITABLE GROUND PREPARATION FOR EACH FLOWER PLANT WITH MANAGEMENT PLAN

Main objective is to develop an algorithm that accurately identifies the soil components such as pH, soil type, and water percentage of soil moisture, and recommends the most suitable ground preparation and management plan for each flower plant. The goal is to provide personalized guidance to farmers on how to optimize flower production based on their specific soil conditions, which will help them reduce costs and increase yields. To achieve this objective, I will need to leverage machine learning and deep learning techniques to analyze soil data and provide personalized recommendations to farmers through the mobile application.


### IT20014018 - IDENTIFYING THE FLOWER QUALITY INFORMATION FOR MARKETING PUPOSE USING IMAGE PROCESSING

The main goal of this research is to use image processing techniques to automatically assess
flower quality and freshness by taking into account their color, shape, and texture
properties. The objectives are meant to be completed successfully in order to reach the goal.
The objectives identified are,
o To correlate the manual results with the automated procedure results in terms of
freshness.
o To identify the best combination of features to determine quality and freshness of
flowers.
o Determining the freshness of flowers with high success, accuracy, and efficiency. 


### IT20130602 - TO IDENTIFY THE FLOWER COUNT IN A PLANT FROM BUDS, PREDICT THE NUMBER OF FLOWERS IN A SELECTED AREA AND CALCULATE THE INCOME

To develop a reliable and efficient method for predicting flower counts:

Collect data on the flower development process and identify stages that can predict the number of flowers.
Utilize statistical analysis and machine learning algorithms to develop predictive models based on collected data.
Validate the models by testing them on various plants and environmental conditions.
Create a user-friendly tool or software program for growers to input data and receive accurate flower count predictions.
Continuously refine and improve the method based on new data and user feedback.
The process combines scientific knowledge, statistical analysis, machine learning, and technological tools for accuracy and accessibility
In here using algorithms and machine learning approaches to detect Sinhala voice and convert into Sinhala sign language. This feature will make it easier for deaf kids and their parents to communicate. 



### *Other Information*